//==========================================================================
// 矩形[DX9_Rectangle.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <d3d9.h>
#include <d3dx9.h>

//==========================================================================
// mslib
//==========================================================================
#include "mslib.hpp"

_MSLIB_BEGIN

//==========================================================================
//
// class  : DX9_Rectangle
// Content: Index
//
//==========================================================================
class DX9_Rectangle
{
protected:
    DX9_Rectangle();
	~DX9_Rectangle();

    /**
    @brief Indexの生成
    @param Output [in/out] 受け取り
    @param NumRectangle [in] 数
    */
	void RectangleIndex(WORD * Output, int NumRectangle);
};

_MSLIB_END